Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.user.server.rpc
Class RPCRequest

    java.lang.Object
      com.google.gwt.user.server.rpc.RPCRequest

    public final class RPCRequest

extends java.lang.Object

Describes an incoming RPC request in terms of a resolved `Method` and an array of arguments.

Constructor Summary
`RPCRequest(java.lang.reflect.Method method, java.lang.Object[] parameters, SerializationPolicy serializationPolicy)` Construct an RPCRequest.

Method Summary
`java.lang.reflect.Method` | `getMethod()` Get the request's method.
`java.lang.Object[]` | `getParameters()` Get the request's parameters.
`SerializationPolicy` | `getSerializationPolicy()` Returns the `SerializationPolicy` used to decode this request.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RPCRequest

    public RPCRequest(java.lang.reflect.Method method,
                      java.lang.Object[] parameters,
                      SerializationPolicy serializationPolicy)

  Construct an RPCRequest.

Method Detail

### getMethod

    public java.lang.reflect.Method getMethod()

  Get the request's method.

### getParameters

    public java.lang.Object[] getParameters()

  Get the request's parameters.

### getSerializationPolicy

    public SerializationPolicy getSerializationPolicy()

  Returns the `SerializationPolicy` used to decode this request. This is also the `SerializationPolicy` that should be used to encode responses.

  Returns:
    `SerializationPolicy` used to decode this request

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD